﻿require.config({
    //urlArgs: 'ver='+(new Date().getTime()),//测试用
    //urlArgs: 'ver=1',//生产环境
    paths: {
        //配置加载路径
        zepto: '../lib/zepto.min',
        zyapp: '../lib/zyapp',
        layzr: '../lib/layzr.min',//图片懒加载
        template: '../lib/artTemplate',
        FastClick: '../lib/fastclick.min',
        Swiper: '../lib/swiper.min',
        store: '../lib/store.min'
    },
    shim: {
        layzr: { exports: 'layzr' }
    },
    waitSeconds: 20
});

require(['zepto', 'zyapp', 'FastClick', 'Swiper', 'template', 'store'], function ($, zyapp, FastClick, Swiper, template, store) {



    $(function () {
        window.store = store;
        FastClick.attach(document.body);


        zyapp().com.setNav({ type: 2, content: "", callback: "back" }, "选择主题", { type: 0, content: "", callback: "" });


        var http = store.get('h5_http') + '/ChooseTheme';
        zyapp().com.ajax(http, { userinfo_data: store.get('userinfo_data'), main_id: GetQueryString("main_id") }, 'initdata', 'onfail');
        $(window).on('initdata', function (event, data) {

            if (!!data && !!!data.code) {
                $('.wrapper').html(template('tp', data.result));

                $('#theme').show();
                $('#loading').hide();
                instance.update().check().handlers(true);
            }

            var instance = layzr({
                normal: 'data-src',
                threshold: 0,
                callback: function () {
                    console.log(this);
                }
            });
        });

        $(window).on('onfail', function () {
            //弹出重新加载按钮
            zyapp().com.toast('网络不好，请重试！');
            $('#theme').show();
            $('#loading').hide();
        })

        $(window).on('back', function () {
            location.replace("index.html?uid=" + store.get('tea_userid'));
        });


        window.onthemeclick = function (main_id, title, state) {
            if (state == 0) {
                zyapp().com.ajax(store.get('h5_http') + '/ChooseSave', { userinfo_data: store.get('userinfo_data'), main_id: main_id }, 'back');

            } else if (state == 2) {
                location.replace("index.html?uid=" + store.get('tea_userid'));
            } else {
                zyapp().com.toast('该主题已填写');
            }
        }

        function GetQueryString(name) {
            var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
            var r = window.location.search.substr(1).match(reg);
            if (r != null) return unescape(r[2]); return null;
        }


    })

})

