﻿require.config({
    //urlArgs: 'ver='+(new Date().getTime()),//测试用
    //urlArgs: 'ver=1',//生产环境
    paths: {
        //配置加载路径
        zepto: '../lib/zepto.min',
        zyapp: '../lib/zyapp',
        layzr: '../lib/layzr.min',//图片懒加载
        template: '../lib/artTemplate',
        FastClick: '../lib/fastclick.min',
        Swiper: '../lib/swiper.min',
        store: '../lib/store.min'
    },
    shim: {
        layzr: { exports: 'layzr' }
    },
    waitSeconds: 20
});

require(['zepto', 'zyapp', 'FastClick', 'Swiper', 'template', 'store'], function ($, zyapp, FastClick, Swiper, template, store) {


    $(function () {
        window.store = store;
        FastClick.attach(document.body);
       
        zyapp().com.rightBtn(0, '', '');
   
   
        zyapp().com.ajax(store.get('h5_http') + '/Theme_photo_GetList', { userinfo_data: store.get('userinfo_data') }, 'initImgs', 'onfail');
      
    })

    $(window).on('initImgs', function (event, d) {

        $("#imgdata").html(template('tp', d.result));

        if (d.result.length > 0) {

            //判断已发送
            if (store.get('sendstate') + "" == "1") {
                //把上传图片按钮隐藏
                $("#imgdata a").hide();
            }
        }

        $('#maining').show();
        $('#loading').hide();
        instance.update().check().handlers(true);

    })

    $(window).on('onfail', function () {
        //弹出重新加载按钮
        zyapp().com.toast('网络不好，请重试！');
        $('#network').show();
        $('#loading').hide();
    })

    $(window).on('initdelimg', function (event, d) {
        zyapp().com.ajax(store.get('h5_http') + '/Theme_photo_GetList', { userinfo_data: store.get('userinfo_data') }, 'initImgs');
    })


    window.delimg = function (path) {
        zyapp().com.ajax(store.get('h5_http') + '/Theme_photo_Delete', { img_path: path, userinfo_data: store.get('userinfo_data') }, 'initdelimg');

    }

    window.showimg = function (path) {
        var imgs = [];
        $("#imgdata").find('img').each(function (i) {
            imgs[i] = this.src;
        });
        
        var index =parseInt(imgs.indexOf(path));
    
        var img = imgs[index];
        if (store.get('sendstate') + "" == "1") {
            zyapp().com.showImgs(img, imgs, index);
        } else {
            zyapp().com.delImgs(img, imgs, index, "delimgleave");
        }
        event.preventDefault();
    }

    $(window).on('delimgleave', function (event, data) {
        var temp = (data.result && data.result.deleted) || {};
        var imgs = "";
        for (var i in temp) {
            imgs = imgs + "," + temp[i];
        }
        if (imgs.length > 1) {
            imgs = imgs.substring(1);
        }

        zyapp().com.ajax(store.get('h5_http') + '/Theme_photo_Delete', { img_path: imgs, userinfo_data: store.get('userinfo_data') }, 'initdelimg');

    });

})

