﻿require.config({
    //urlArgs: 'ver='+(new Date().getTime()),//测试用
    //urlArgs: 'ver=1',//生产环境
    paths: {
        //配置加载路径
        zepto: '../lib/zepto.min',
        zyapp: '../lib/zyapp',
        layzr: '../lib/layzr.min',//图片懒加载
        template: '../lib/artTemplate',
        FastClick: '../lib/fastclick.min',
        Swiper: '../lib/swiper.min',
        store: '../lib/store.min'
    },
    shim: {
        layzr: { exports: 'layzr' }
    },
    waitSeconds: 20
});

require(['zepto', 'zyapp', 'FastClick', 'Swiper', 'template', 'store'], function ($, zyapp, FastClick, Swiper, template, store) {

   
    $(function () {
        window.store = store;
        FastClick.attach(document.body);

        zyapp().com.ajax(store.get('h5_http') + '/report', { userinfo_data: store.get('userinfo_data') }, 'init', 'onfail');
       

        $(window).on('onfail', function () {
            //弹出重新加载按钮
            zyapp().com.toast('网络不好，请重试！');
            $('#network').show();
            $('#loading').hide();
        })

    })

    $(window).on('init', function (event, data) {
        if (!!data && !!!data.code) {
            $('#data').html(template('tp', data.result));

            $('#maining').show();
            $('#loading').hide();
            instance.update().check().handlers(true);

        }
    })

    window.onreportdetail = function (report_main_id) {
        store.set('report_main_id', report_main_id);
        location.href = "reportdetail.html";
    }
})

