﻿require.config({
    //urlArgs: 'ver='+(new Date().getTime()),//测试用
    //urlArgs: 'ver=1',//生产环境
    paths: {
        //配置加载路径
        zepto: '../lib/zepto.min',
        zyapp: '../lib/zyapp',
        layzr: '../lib/layzr.min',//图片懒加载
        template: '../lib/artTemplate',
        FastClick: '../lib/fastclick.min',
        Swiper: '../lib/swiper.min',
        store: '../lib/store.min'
    },
    shim: {
        layzr: { exports: 'layzr' }
    },
    waitSeconds: 20
});

require(['zepto', 'zyapp', 'FastClick', 'Swiper', 'template', 'store'], function ($, zyapp, FastClick, Swiper, template, store) {


    $(function () {
        window.store = store;
        FastClick.attach(document.body);

        zyapp().com.rightBtn(1, '返回列表', 'back');
        $(window).on('back', function () {
            zyapp().com.closeAllWindow();
            location.href = "writemain.html";
        });

        zyapp().com.ajax(store.get('h5_http') + '/WriteUnable', { userid: store.get('userid'), userinfo_data: store.get('userinfo_data') }, 'initdata', 'onfail');
        $(window).on('initdata', function (event, data) {
            if (!!data && !!!data.code) {
                $('#maining').show();
                $('#loading').hide();

                //已发送了
                if (store.get('sendstate') + "" == "1") {
                    $('.footer').html("<div class='one-btn border'><a href='writemain.html' class='border on' style='width:11.4rem;'>返回列表</a></div>");
                } else {
                    $('.one-btn').show();
                }
                
                $('.content').html(template('tp', data.result));
                //数据库只读取一次
                if (store.get('tag') == 1) {
                    store.remove('tag');
                    zyapp().com.ajax(store.get('h5_http') + '/WriteObservation_Completed',
                       {
                           userid: store.get('userid'),
                           userinfo_data: store.get('userinfo_data')
                       }, 'inituser');
                    $(window).trigger('inituser');
                }

            

                instance.update().check().handlers(true);
            }

            var instance = layzr({
                normal: 'data-src',
                threshold: 0,
                callback: function () {
                    console.log(this);
                }
            });
        });

        $(window).on('onfail', function () {
            //弹出重新加载按钮
            zyapp().com.toast('网络不好，请重试！');
            $('#network').show();
            $('#loading').hide();
        })
        //初始化已填写用户
        $(window).on('inituser', function (event, data) {

            if (!!data && !!!data.code) {
                $('.textarea').html(data.result.ToParentContent);
                instance.update().check().handlers(true);

            }
        })


        window.onsave = function () {
       
            var textarea = $('.textarea');
            var teacher_word = textarea[0].innerHTML;
          
            var dd = { userid: store.get('userid') + "", teacher_word: teacher_word + "", userinfo_data: store.get('userinfo_data') };


            zyapp().com.ajax(store.get('h5_http') + '/WriteObservation_Save_NoDict', dd, 'savesuccess', 'saveerror');
        }

        $(window).on('savesuccess', function (event, d) {
            if (parseInt(d.result.nextcode) > 0) {
                zyapp().com.toast('保存成功！');
                store.set('userid', d.result.nextuserid);
                store.set('name', d.result.nextname);
                store.set('tag', 0);//0未填写，1无法观察，2已填写
                location.replace("writeobservation.html");
            } else {
                //填写完成
                zyapp().com.toast('全班已全部填写完成！');
                location.replace ("writemain.html");
            }
        })

        $(window).on('saveerror', function (event, data) {
            if (!!data && !!!data.code) {
                zyapp().com.toast('保存失败!');
            }
        })

        window.edit = function () {
            store.set('userid', store.get('userid'));
            store.set('name', store.get('name'));
            store.set('tag', 0);//0未填写，1无法观察，2已填写
            location.href = "writeobservation.html";

        }

    })
})

