﻿require.config({
    //urlArgs: 'ver='+(new Date().getTime()),//测试用
    //urlArgs: 'ver=1',//生产环境
    paths: {
        //配置加载路径
        zepto: '../lib/zepto.min',
        zyapp: '../lib/zyapp',
        layzr: '../lib/layzr.min',//图片懒加载
        template: '../lib/artTemplate',
        FastClick: '../lib/fastclick.min',
        Swiper: '../lib/swiper.min',
        store: '../lib/store.min'
    },
    shim: {
        layzr: { exports: 'layzr' }
    },
    waitSeconds: 20
});

require(['zepto', 'zyapp', 'FastClick', 'Swiper', 'template', 'store'], function ($, zyapp, FastClick, Swiper, template, store) {

    $(window).on('onfail', function () {
        //弹出重新加载按钮
        //zyapp().com.toast('网络不好，请重试！');
    })

    window.onflush = function () {
        zyapp().com.ajax(store.get('h5_http') + '/reportdetail', { userinfo_data: store.get('userinfo_data'), report_main_id: store.get('report_main_id') }, 'init', 'onfail');
    }

    $(function () {
        window.store = store;
        FastClick.attach(document.body);

        zyapp().com.ajax(store.get('h5_http') + '/reportdetail', { userinfo_data: store.get('userinfo_data'), report_main_id: store.get('report_main_id') }, 'init', 'onfail');
        $(window).on('init', function (event, data) {
            if (!!data && !!!data.code) {

                document.title = data.result.sum_model.field;

                $('.summary').html(template('tp0', data.result.sum_model));
                $('.list').html(template('tp1', data.result.list));

                $('#maining').show();
                $('#loading').hide();

                zyapp().com.setTitle(data.result.sum_model.field);
                instance.update().check().handlers(true);
            }

        })

        $(window).on('onfail', function () {
            //弹出重新加载按钮
            zyapp().com.toast('网络不好，请重试！');
            $('#network').show();
            $('#loading').hide();
        })


    })

    window.ontoggle = function (id) {
        $("#" + id).toggle();
        var obj = $("#" + id + "_span");
        if(obj.hasClass("icon-downarrow"))
        {
            obj.removeClass("icon-downarrow");
            obj.addClass("icon-uparrow");

        } else {
            obj.removeClass("icon-uparrow");
            obj.addClass("icon-downarrow");

        }
    }
})

