﻿require.config({
    //urlArgs: 'ver='+(new Date().getTime()),//测试用
    //urlArgs: 'ver=1',//生产环境
    paths: {
        //配置加载路径
        zepto: '../lib/zepto.min',
        zyapp: '../lib/zyapp',
        layzr: '../lib/layzr.min',//图片懒加载
        template: '../lib/artTemplate',
        FastClick: '../lib/fastclick.min',
        Swiper: '../lib/swiper.min',
        store: '../lib/store.min'
    },
    shim: {
        layzr: { exports: 'layzr' }
    },
    waitSeconds: 20
});

require(['zepto', 'zyapp', 'FastClick', 'Swiper', 'template', 'store'], function ($, zyapp, FastClick, Swiper, template, store) {
    $(function () {
        window.store = store;
        FastClick.attach(document.body);
        zyapp().com.rightBtn(0, '', '');

        zyapp().com.ajax(store.get('h5_http') + '/reportdetail', { userinfo_data: store.get('userinfo_data'), report_main_id: store.get('report_main_id') }, 'init');
       
   
    })
    $(window).on('init', function (event, data) {
        if (!!data && !!!data.code) {

            $('#maining').show();
            $('#loading').hide();

            $('.summary').html(template('tp0', data.result.sum_model));
            $('.list').html(template('tp1', data.result.list));
            zyapp().com.ajax(store.get('h5_http') + '/Index_UserInfo', { userid: store.get('tea_userid') }, 'Index_UserInfo');
            document.title = store.get('now_field');
            zyapp().com.setTitle(store.get('now_field'));
        }

    })

    $(window).on('onfail', function () {
        //弹出重新加载按钮
        zyapp().com.toast('网络不好，请重试！');
        $('#network').show();
        $('#loading').hide();
    })

    $(window).on('Index_UserInfo', function (event, data) {
        if (!!data && !!!data.code) {
            
            store.set('userinfo_data', JSON.stringify(data.result) + "");
            store.set('tea_userid', data.result.userid);
            zyapp().com.ajax(store.get('h5_http') + '/Index', { userinfo_data: store.get('userinfo_data') }, 'initdata');
         }
    })

    $(window).on('initdata', function (event, data) {
        if (!!data && !!!data.code) {
	    
            store.set('now_main_id', data.result.now_main_id);
            store.set('photoCount', data.result.photoCount);
            store.set('sendstate', data.result.sendstate);
            store.set('now_field', data.result.field);
        }
    });


    window.ontoggle = function (id) {
        $("#" + id).toggle();
        var obj = $("#" + id + "_span");
        if(obj.hasClass("icon-downarrow"))
        {
            obj.removeClass("icon-downarrow");
            obj.addClass("icon-uparrow");

        } else {
            obj.removeClass("icon-uparrow");
            obj.addClass("icon-downarrow");

        }
    }

    window.back = function () {
       // closeWindow();
        location.replace("index.html?uid=" + store.get('tea_userid'));
    }


})

