﻿require.config({
    //urlArgs: 'ver='+(new Date().getTime()),//测试用
    //urlArgs: 'ver=1',//生产环境
    paths: {
        //配置加载路径
        zepto: '../lib/zepto.min',
        zyapp: '../lib/zyapp',
        layzr: '../lib/layzr.min',//图片懒加载
        template: '../lib/artTemplate',
        FastClick: '../lib/fastclick.min',
        Swiper: '../lib/swiper.min',
        store: '../lib/store.min'
    },
    shim: {
        layzr: { exports: 'layzr' }
    },
    waitSeconds: 20
});

require(['zepto', 'zyapp', 'FastClick', 'Swiper', 'template', 'store'], function ($, zyapp, FastClick, Swiper, template, store) {


    $(function () {
        window.store = store;
        FastClick.attach(document.body);

        zyapp().com.setTitle(store.get('now_field') + "");
        zyapp().com.rightBtn(1, '返回列表', 'back');

        zyapp().com.setNav({ type: 2, content: "", callback: "back" }, store.get('now_field') + "", { type: 1, content: "返回列表", callback: "back" });

        $(window).on('back', function () {
            location.replace("writemain.html");
        });

        //当编辑状态点击左边的时候
        $(window).on('ontempback', function () {
            ontempback();
            zyapp().com.setNav({ type: 2, content: "", callback: "back" }, store.get('now_field') + "", { type: 1, content: "返回列表", callback: "back" });
        });

        $(window).on('onback', function (event, data) {
            zyapp().com.closeWindow();
            //location.replace("writemain.html");
        });

        state(0);

        if (GetQueryString("edit") + "" == "1") {
            if (store.get('temp_valtype') == 0) {
                $("#" + store.get('temp_id')).val(store.get('temp_content'));
            } else {
                $("#" + store.get('temp_id')).html(store.get('temp_content'));
            }
        }

        //如果这是无法观察的话，先加载无法观察的
        if (GetQueryString("un") + "" == "1") {

            zyapp().com.ajax(store.get('h5_http') + '/WriteUnable', { userid: store.get('userid'), userinfo_data: store.get('userinfo_data') }, 'initdata_un', 'onfail');

        }

            zyapp().com.ajax(store.get('h5_http') + '/WriteObservation', { userinfo_data: store.get('userinfo_data'), userid: store.get('userid') }, 'initdata', 'onfail');
        

        $(window).on('initdata', function (event, data) {
            if (!!data && !!!data.code) {
                if (GetQueryString("un") + "" != "1") {
                    state(1);
                }

                $('#name').html("<span class=\"head\"><img src=\"" + data.result.headpic + "\" /></span><span class=\"color\">" + store.get('name') + "</span>小朋友评语<a href=\"javascript:onunable()\" class=\"unable\">无法观察</a>");
                $('#content').html(data.result.ToParentContent);
                store.set('it', data.result.it); 

                $('#data1').html(template('tp1', data.result.ThemeDictList));
                $('#data2').html(template('tp2', data.result.ThemeDictList));

                //数据库只读取一次
                if (store.get('tag') == 2) {
                    store.remove('tag');
                    zyapp().com.ajax(store.get('h5_http') + '/WriteObservation_Completed',
                       {
                           userid: store.get('userid'),
                           userinfo_data: store.get('userinfo_data')
                       }, 'inituser');
                }

                var previewArray = store.get('previewArray');
                if (previewArray.length > 0) {
                    var textarea = $('#write .textarea_val');
                    $('#content').html(previewArray[0]);
                    for (var i = 0; i < textarea.length; i++) {

                        textarea[i].value = previewArray[i + 1];
                    }
                }

                var hfArray = store.get('hfArray');
                var idarray = store.get('idarray');
                if (hfArray.length > 0) {
                    var hf = $('.hf');
                    for (var i = 0; i < hf.length; i++) {
                        hf[i].innerHTML = hfArray[i];
                        var ID = idarray[i];
                        var score = hfArray[i];
                        document.getElementById('l1_' + ID).setAttribute("class", "border");
                        document.getElementById('l2_' + ID).setAttribute("class", "border");
                        document.getElementById('l3_' + ID).setAttribute("class", "border");
                        document.getElementById('l' + score + '_' + ID).setAttribute("class", "border on");
                        document.getElementById('a1_' + ID).setAttribute("class", "");
                        document.getElementById('a2_' + ID).setAttribute("class", "");
                        document.getElementById('a3_' + ID).setAttribute("class", "");
                        document.getElementById('a' + score + '_' + ID).setAttribute("class", "on");
                        $('#textdiv_' + ID).show();
                        $('#hf_ID_' + ID).html(ID);
                    }
                }
               
                instance.update().check().handlers(true);
            }

            var instance = layzr({
                normal: 'data-src',
                threshold: 0,
                callback: function () {
                    console.log(this);
                }
            });
        });


    })


    //无法填写--------------------------------------------------------------------

    function GetQueryString(name) {
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
        var r = window.location.search.substr(1).match(reg);
        if (r != null) return unescape(r[2]); return null;
    }
    //每一个状态
    function state(i) {
        //全部隐藏
        if (i == 0) {
            $('#loading').show();
            $('#write').hide();
            $('#maining').hide();
            $('#preview').hide();
        }
        else if (i == 1)//正常填写
        {
            $('#loading').hide();
            $('#write').show();
            $('#maining').hide();
            $('#preview').hide();
        }
        else if (i == 2)//无法观察
        {
            $('#loading').hide();
            $('#write').hide();
            $('#maining').show();
            $('#preview').hide();
            
        }
        else if (i == 3)//预览
        {
            $('#loading').hide();
            $('#write').hide();
            $('#maining').hide();
            $('#preview').show();
        }

    }

    window.onunable = function () {
            zyapp().com.setNav({ type: 2, content: "", callback: "edit_un" }, store.get('now_field') + "", { type: 1, content: "返回列表", callback: "back" });
            zyapp().com.ajax(store.get('h5_http') + '/WriteUnable', { userid: store.get('userid'), userinfo_data: store.get('userinfo_data') }, 'initdata_un', 'onfail');
    }
    $(window).on('initdata_un', function (event, data) {
        if (!!data && !!!data.code) {
           
            //已发送了
            if (store.get('sendstate') + "" == "1") {
                $('#footer_un').html("<div class='one-btn border'><a href='writemain.html' class='border on' style='width:11.4rem;'>返回列表</a></div>");
            } else {
                $('.one-btn').show();
            }
            
            $('#content_un').html(template('tp', data.result));
            //数据库只读取一次
            if (store.get('tag') == 1) {
                store.remove('tag');
                zyapp().com.ajax(store.get('h5_http') + '/WriteObservation_Completed',
                   {
                       userid: store.get('userid'),
                       userinfo_data: store.get('userinfo_data')
                   }, 'inituser_un');
                
            } else {
                state(2);
            }
        }
    })
        //初始化无法观察后再显示
        $(window).on('inituser_un', function (event, data) {
            if (!!data && !!!data.code) {
                state(2);
                $('#textarea_un').html(data.result.ToParentContent);

            }
        })

        window.onsave_un = function () {
            var textarea = $('#textarea_un');
            var teacher_word = textarea[0].innerHTML;
            var dd = { userid: store.get('userid') + "", teacher_word: teacher_word + "", userinfo_data: store.get('userinfo_data') };
            zyapp().com.ajax(store.get('h5_http') + '/WriteObservation_Save_NoDict', dd, 'savesuccess_un', 'saveerror_un');
        }

        $(window).on('savesuccess_un', function (event, d) {
            if (parseInt(d.result.nextcode) > 0) {
                zyapp().com.toast('保存成功！');
                store.set('userid', d.result.nextuserid);
                store.set('name', d.result.nextname);
                store.set('tag', 0);//0未填写，1无法观察，2已填写
                //单页加载待观察内容
                state(0);
                zyapp().com.ajax(store.get('h5_http') + '/WriteObservation', { userinfo_data: store.get('userinfo_data'), userid: store.get('userid') }, 'initdata', 'onfail');
                //location.replace("writeobservation.html");
            } else {
                //填写完成
                zyapp().com.toast('全班已全部填写完成！');
                //zyapp().com.closeWindow();
                location.replace("writemain.html");
            }
        })
        $(window).on('saveerror_un', function (event, data) {
            if (!!data && !!!data.code) {
                zyapp().com.toast('保存失败!');
            }
        })

        window.edit_un = function () {
            store.set('userid', store.get('userid'));
            store.set('name', store.get('name'));
            store.set('tag', 0);//0未填写，1无法观察，2已填写
            state(1);

        }
        $(window).on('edit_un', function () {
            edit_un();
            zyapp().com.setNav({ type: 2, content: "", callback: "back" }, store.get('now_field') + "", { type: 1, content: "返回列表", callback: "back" });
        })

        
        //无法填写--------------------------------------------------------------------



        $(window).on('onfail', function () {
            //弹出重新加载按钮
            zyapp().com.toast('网络不好，请重试！');
            $('#network').show();
            $('#loading').hide();
        })

        //初始化已填写用户
        $(window).on('inituser', function (event, data) {

            if (!!data && !!!data.code) {
                var previewArray = new Array();
                previewArray[0] = data.result.ToParentContent;

                var hfArray = new Array();
                var idarray = new Array();
               
                var tdl = data.result.ThemeDictList;
                for (var i = 0; i < tdl.length; i++) {
                    idarray[i] = tdl[i].ID;
                    hfArray[i] = tdl[i].score;
                    previewArray[i+1] = tdl[i].advice;
                    $('#textdiv_' + tdl[i].ID).show();
                }

                store.set('previewArray', previewArray);
                store.set('hfArray', hfArray);
                store.set('idarray', idarray);

                //初始化内容
                if (previewArray.length > 0) {
                    var textarea = $('#write .textarea_val');
                    $('#content').html(previewArray[0]);
                    for (var i = 0; i < textarea.length; i++) {

                        textarea[i].value = previewArray[i + 1];
                    }
                }
                if (hfArray.length > 0) {
                    var hf = $('.hf');
                    for (var i = 0; i < hf.length; i++) {
                        hf[i].innerHTML = hfArray[i];
                        var ID = idarray[i];
                        var score = hfArray[i];
                        document.getElementById('l1_' + ID).setAttribute("class", "border");
                        document.getElementById('l2_' + ID).setAttribute("class", "border");
                        document.getElementById('l3_' + ID).setAttribute("class", "border");
                        document.getElementById('l' + score + '_' + ID).setAttribute("class", "border on");
                        document.getElementById('a1_' + ID).setAttribute("class", "");
                        document.getElementById('a2_' + ID).setAttribute("class", "");
                        document.getElementById('a3_' + ID).setAttribute("class", "");
                        document.getElementById('a' + score + '_' + ID).setAttribute("class", "on");
                        $('#hf_ID_' + ID).html(ID);
                        
                    }
                }

            }
        })

        //  切换选项
        window.onWriteObservationIntroduce = function (ID, score) {
           
            //设置选中效果
            document.getElementById('l1_' + ID).setAttribute("class", "border");
            document.getElementById('l2_' + ID).setAttribute("class", "border");
            document.getElementById('l3_' + ID).setAttribute("class", "border");
            document.getElementById('l' + score + '_' + ID).setAttribute("class", "border on");
            document.getElementById('a1_' + ID).setAttribute("class", "");
            document.getElementById('a2_' + ID).setAttribute("class", "");
            document.getElementById('a3_' + ID).setAttribute("class", "");
            document.getElementById('a' + score + '_' + ID).setAttribute("class", "on");
            $('#hf_' + ID).html(score);
          
           
            zyapp().com.ajax(store.get('h5_http') + '/WriteObservationIntroduce',
                {
                    it: store.get('it'),
                    name: store.get('name'),
                    dictid: ID,
                    score: score,
                    userinfo_data: store.get('userinfo_data')
                }, 'introducesuccess', 'onfail');
        }
        //  切换选项加载内容
        $(window).on('introducesuccess', function (event, data) {
            if (!!data && !!!data.code) {
                
                $('#textdiv_' + data.result.dictid).show();
                $('#textarea_' + data.result.dictid).html(data.result.advice);
                //$('#hf_' + data.result.dictid).html(data.result.score);
                var o = document.getElementById('textarea_' + data.result.dictid);
                o.style.height = o.scrollTop + o.scrollHeight + "px";
            }
        })

        //切换主题
        window.changeTheme = function () {
            zyapp().com.toast('切换主题！');
        }

        //预览-------------------------------------------------------------------------------
        window.onpreview = function () {
            var flag = true;
            var previewArray = new Array();
            var textarea = $('#write .textarea_val');
            previewArray[0] = $('#content').html();
            
            for (var i = 0; i < textarea.length; i++) {
                previewArray[i + 1] = textarea[i].value;
            }
            store.set('previewArray', previewArray);

            var hfArray = new Array();
            var idarray = new Array();
            var hf = $('.hf');
            var dictids = $('.dictids');
            for (var i = 0; i < hf.length; i++) {
                hfArray[i] = hf[i].innerHTML;
                idarray[i] = dictids[i].innerHTML;

                if (hf[i].innerHTML == "0") {
                    flag = false;
                }
            }
            store.set('hfArray', hfArray);
            store.set('idarray', idarray);
            if (flag) {

                ////已发送了
                //if (store.get('sendstate') + "" == "1") {
                //    $('#footer_pre').html("<div class='one-btn border'><a href='writemain.html' class='border on' style='width: 11.4rem;'>返回列表</a></div>");
                //} else {
                //    $('#footer_pre').html("<div class='one-btn border'><a href=\"javascript:onsave_pre()\" class=\"border on\" style=\"width: 11.4rem;\">保存填写下一个</a></div>");
                //}
                //zyapp().com.ajax(store.get('h5_http') + '/Preview', { userinfo_data: store.get('userinfo_data') }, 'init_pre', 'onfail');
                location.href = "writepreview.html";
            } else {
                zyapp().com.toast('请完成选择项');
            }
        }


        $(window).on('init_pre', function (event, data) {
            if (!!data && !!!data.code) {
               

                $('#data2').html(template('tp2', data.result.ThemeDictList));

                var previewArray = store.get('previewArray');
                var textarea = $('#preview .textarea');

                $('#content_preview').html(previewArray[0]);

                for (var i = 0; i < textarea.length; i++) {

                    textarea[i].innerHTML = previewArray[i + 1];
                }

                //打分
                var hfArray = store.get('hfArray');
                var idarray = store.get('idarray');
                if (hfArray.length > 0) {
                    for (var i = 0; i < idarray.length; i++) {
                        var ID = idarray[i];
                        var score = hfArray[i];
                        if (score == "3") {
                            $('#stars_' + ID).html("<i></i>");
                        } else if (score == "2") {
                            $('#stars_' + ID).html("<i></i><i></i>");
                        } else if (score == "1") {
                            $('#stars_' + ID).html("<i></i><i></i><i></i>");
                        }

                    }
                }
                state(3);
            }
        });


        window.onsave_pre = function () {
            var flag = true;
            var dictlist = new Array();
            var previewArray = new Array();
            var hfArray = new Array();
            var idarray = new Array();

            hfArray = store.get('hfArray');
            idarray = store.get('idarray');
            previewArray = store.get('previewArray');

            var teacher_word = previewArray[0];

            for (var i = 0; i < hfArray.length; i++) {
                if (hfArray[i] == "0") {
                    flag = false;
                }
                dictlist[i] = { dictid: parseInt(idarray[i]), advice: previewArray[i + 1], score: parseInt(hfArray[i]) };
            }
            if (flag) {

                var dd = { userid: store.get('userid') + "", teacher_word: teacher_word + "", dictIntroduce: JSON.stringify(dictlist) + "", userinfo_data: store.get('userinfo_data') };
                state(0);
                zyapp().com.ajax(store.get('h5_http') + '/WriteObservation_Save_Dict',
              dd, 'savesuccess_pre', 'saveerror_pre');

            } else {
                zyapp().com.toast('点击返回，继续完成填写');
            }
        }

        $(window).on('savesuccess_pre', function (event, d) {
            if (!!d && !!!d.code) {
                if (parseInt(d.result.nextcode) > 0) {
                    zyapp().com.toast('保存成功！');
                    store.remove('hfArray');
                    store.remove('idarray');
                    store.remove('previewArray');

                    store.set('userid', d.result.nextuserid);
                    store.set('name', d.result.nextname);
                    store.set('tag', 0);//0未填写，1无法观察，2已填写
                    //单页重新加载
                   
                    zyapp().com.ajax(store.get('h5_http') + '/WriteObservation', { userinfo_data: store.get('userinfo_data'), userid: store.get('userid') }, 'initdata', 'onfail');

                } else {
                    //填写完成
                    zyapp().com.toast('全班已全部填写完成！');
                    //zyapp().com.closeWindow();
                    location.replace("writemain.html");
                }
            }
        })

        $(window).on('saveerror_pre', function (event, data) {
            if (!!data && !!!data.code) {
                zyapp().com.toast('保存失败!');
            }
        })



        //预览-------------------------------------------------------------------------------



        //开始保存
        window.onsave = function () {

            var flag = true;
            var textarea = $('#write .textarea_val');
            var teacher_word = $('#content').html();
            var dictlist = new Array();

            var hf = $('.hf');//分数
            var dictids = $('.dictids');//ID不需要处理
           
            for (var i = 0; i < hf.length; i++) {
                if (hf[i].innerHTML == "0") {
                    flag = false;
                }
                dictlist[i] = { dictid: parseInt(dictids[i].innerHTML), advice: textarea[i].value, score: parseInt(hf[i].innerHTML) };
            }
          
            if (flag) {
                var dd = { userid: store.get('userid') + "", teacher_word: teacher_word + "", dictIntroduce: JSON.stringify(dictlist) + "", userinfo_data: store.get('userinfo_data') };
        
               zyapp().com.ajax(store.get('h5_http') + '/WriteObservation_Save_Dict',
               dd, 'savesuccess', 'saveerror');
              
             
            } else {
                zyapp().com.toast('请完成选择项');
            }
        }

        //保存成功
        $(window).on('savesuccess', function (event, d) {
            if (!!d && !!!d.code) {
                if (parseInt(d.result.nextcode) > 0) {
                    zyapp().com.toast('保存成功！');
                    store.remove('hfArray');
                    store.remove('idarray');
                    store.remove('previewArray');

                    store.set('userid', d.result.nextuserid);
                    store.set('name', d.result.nextname);
                    store.set('tag', 0);//0未填写，1无法观察，2已填写

                    //单页加载
                    state(0);
                    zyapp().com.ajax(store.get('h5_http') + '/WriteObservation', { userinfo_data: store.get('userinfo_data'), userid: store.get('userid') }, 'initdata', 'onfail');

                     
                } else {
                    //填写完成
                    zyapp().com.toast('全班已全部填写完成！');
                    //zyapp().com.closeWindow();
                    location.replace("writemain.html");
                }
            }
        })

        //保存失败
        $(window).on('saveerror', function (event, data) {
            if (!!data && !!!data.code) {
                zyapp().com.toast('保存失败!');
            }
        })





        //点击编写内容
            window.ontextfocus = function (id, valtype) {

                var temp_text = "";
                if (valtype == 0) {
                    temp_text = $("#" + id).val();
                } else {
                    temp_text = $("#" + id).html();
                }
                var dd = temp_text.replace(/<\/?.+?>/g, "");
                temp_text = dd.replace(/&nbsp;/g, "");
                $("#textarea_temp").val(temp_text);

                store.set('temp_id', id);
                store.set('temp_valtype', valtype);
                $("#write").hide();
                $("#edit").show();
                $("#textarea_temp").trigger("focus");
                zyapp().com.setNav({ type: 2, content: "", callback: "ontempback" }, store.get('now_field') + "", { type: 1, content: "返回列表", callback: "back" });
            }
            window.ontempsave = function () {
                //编辑内容返回后，要赋值
                if (store.get('temp_valtype') == 0) {
                    var htm = $("#textarea_temp").val();
                    var dd = htm.replace(/<\/?.+?>/g, "");
                    var dds = dd.replace(/&nbsp;/g, "");

                    $("#" + store.get('temp_id')).val(dds);

                    var o = document.getElementById(store.get('temp_id'));
                    var x = document.getElementById("textarea_temp");
                    o.style.height = x.scrollHeight + "px";

                } else {
                    $("#" + store.get('temp_id')).html($("#textarea_temp").val());
                }
               
                $("#write").show();
                $("#edit").hide();
            }

            window.ontempback = function () {
                $("#write").show();
                $("#edit").hide();
            }
        
        //点击编写内容
        //window.ontextfocus = function (id, valtype) {

        //    var previewArray = new Array();
        //    var textarea = $('#write .textarea_val');
        //    previewArray[0] = $('#content').html();

        //    for (var i = 0; i < textarea.length; i++) {
        //        previewArray[i + 1] = textarea[i].value;
        //    }
        //    store.set('previewArray', previewArray);

        //    var hfArray = new Array();
        //    var idarray = new Array();
        //    var hf = $('.hf');
        //    var dictids = $('.dictids');
        //    for (var i = 0; i < hf.length; i++) {
        //        hfArray[i] = hf[i].innerHTML;
        //        idarray[i] = dictids[i].innerHTML;

        //        if (hf[i].innerHTML == "0") {
        //            flag = false;
        //        }
        //    }
        //    store.set('hfArray', hfArray);
        //    store.set('idarray', idarray);


        //    var temp_text = "";
        //    if (valtype == 0) {
        //        temp_text = $("#" + id).val();
        //    } else {
        //        temp_text = $("#" + id).html();
        //    }
         
        //    store.set('temp_content', temp_text);
        //    store.set('temp_id', id);
        //    store.set('temp_valtype', valtype);
        //    location.replace("writeedit.html");
        //}


})

