﻿require.config({
    //urlArgs: 'ver='+(new Date().getTime()),//测试用
    //urlArgs: 'ver=1',//生产环境
    paths: {
        //配置加载路径
        zepto: '../lib/zepto.min',
        zyapp: '../lib/zyapp',
        layzr: '../lib/layzr.min',//图片懒加载
        template: '../lib/artTemplate',
        FastClick: '../lib/fastclick.min',
        Swiper: '../lib/swiper.min',
        store: '../lib/store.min'
    },
    shim: {
        layzr: { exports: 'layzr' }
    },
    waitSeconds: 20
});

require(['zepto', 'zyapp', 'FastClick', 'Swiper', 'template', 'store'], function ($, zyapp, FastClick, Swiper, template, store) {

    window.back =function(){
        location.href = "index.html";
    }

    $(window).on('left', function () {
        location.replace("index.html?uid=" + store.get('tea_userid'));
    })


    function GetQueryString(name) {
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
        var r = window.location.search.substr(1).match(reg);
        if (r != null) return unescape(r[2]); return null;
    }

    $(function () {
        
        window.store = store;
        store.remove('hfArray');
        store.remove('idarray');
        store.remove('previewArray');
        store.remove('photoCount');
        FastClick.attach(document.body);
        zyapp().com.rightBtn(1, '切换主题', 'changeTheme');

        zyapp().com.setNav({ type: 2, content: "", callback: "left" }, store.get('now_field') + "", { type: 1, content: "切换主题", callback: "changeTheme" });
        //alert(JSON.stringify(store.get('userinfo_data')));
        
        zyapp().com.ajax(store.get('h5_http') + '/WriteMain', { userinfo_data: store.get('userinfo_data') }, 'initdata', 'onfail');

        $(window).on('onfail', function () {
            //弹出重新加载按钮
            zyapp().com.toast('网络不好，请重试！');
            $('#network').show();
            $('#loading').hide();
        })

    })

        $(window).on('initdata', function (event, data) {
            if (!!data && !!!data.code) {

                

                store.set('now_main_id', data.result.now_main_id);


                $('#imgdata').html(template('tp', data.result));
                store.set('photoCount', data.result.photoCount);
                store.set('sendstate', data.result.sendstate);
               

                if (data.result.NotCompleted.length == 0) {
                    $('.footer').html(template('tp_footer0', null));
                   
                    $('#box_NotCompleted').html("");
                    
                } else {
                    $('.footer').html(template('tp_footer1', null));
                    $('#sum_NotCompleted').html(data.result.NotCompleted.length + "人");
                    $('#box_NotCompleted').html(template('tp_NotCompleted1', data.result.NotCompleted));
                }
                
                if (data.result.Unobservable.length == 0) {
                    if (data.result.NotCompleted.length != 0) {
                        $('#box_Unobservable').html(template('tp_Unobservable0', null));
                    } else {
                        $('#box_Unobservable').html("");
                    }
                } else {
                    $('#sum_Unobservable').html(data.result.Unobservable.length + "人");
                    $('#box_Unobservable').html(template('tp_Unobservable1', data.result.Unobservable));
                }
                //已观察
                if (data.result.Completed.length == 0) {
                   
                    $('#box_Completed').html(template('tp_Completed0', null));
                } else {
                    $('#sum_Completed').html(data.result.Completed.length + "人");
                    $('#box_Completed').html(template('tp_Completed1', data.result.Completed));
                }
               

                //弹出框处理
                $('#a1').html(data.result.Completed.length + data.result.Unobservable.length);
                $('#a2').html(data.result.Completed.length + data.result.Unobservable.length);

                $('#a3').html(data.result.Completed.length + data.result.Unobservable.length);
                $('#b3').html(data.result.NotCompleted.length);

               

                //选择主题查看
                $('#themelist').html(template('tp_themelist', data.result.ThemeList));

               

                //判断已发送
                if (store.get('sendstate') + "" == "1") {
                    //把按钮变成已发送
                    $('.footer').html("<div class='one-btn border'><a href='#' class='border no' style='width: 11.4rem;'>已完成发送</a></div>");
                    //把未填写的标签隐藏
                    $(".children").first().hide();
                }

                initImgs();//初始化图片

               
                //document.title = store.get('now_field');
                zyapp().com.setTitle(store.get('now_field') + "");
                instance.update().check().handlers(true);
              
            }

            var instance = layzr({
                normal: 'data-src',
                threshold: 0,
                callback: function () {
                    console.log(this);
                }
            });
        });

        window.onWriteObservation = function (userid, name, tag) {
            store.set('userid', userid);
            store.set('name', name);
            store.set('tag', tag);//0未填写，1无法观察，2已填写
            if (tag == 1) {
                 location.href = 'writeitem.html?un=1';
                //location.href = 'writeunable.html';
                //zyapp().com.newWindow('writeunable.html', { left: { type: 2, content: '', callback: 'onback' }, right: { type: 0, content: '', callback: '' } });

            } else {

                //已发送了,直接去预览页面
                if (store.get('sendstate') + "" == "1") {
                 
                    zyapp().com.ajax(store.get('h5_http') + '/WriteObservation_Completed', { userinfo_data: store.get('userinfo_data') ,userid: store.get('userid'), userid: userid }, 'WriteObservation_Completed');
                } else {
                   
                    location.href = 'writeitem.html';
                    //zyapp().com.newWindow('writeobservation.html', { left: { type: 2, content: '', callback: 'onback' }, right: { type: 0, content: '', callback: '' } });
          
                }
            }
            
        }

        $(window).on('WriteObservation_Completed', function (event, data) {
           
            if (!!data && !!!data.code) {
                var previewArray = new Array();
                previewArray[0] = data.result.ToParentContent;
                var hfArray = new Array();
                var idarray = new Array();
                var tdl = data.result.ThemeDictList;
              
                for (var i = 0; i < tdl.length; i++) {
                    idarray[i] = tdl[i].ID;
                    hfArray[i] = tdl[i].score;
                    previewArray[i + 1] = tdl[i].advice;
                }
                
                store.set('previewArray', previewArray);
                store.set('hfArray', hfArray);
                store.set('idarray', idarray);
                location.href = 'writepreview.html';
                //zyapp().com.newWindow('writepreview.html', { left: { type: 2, content: '', callback: 'onback' }, right: { type: 0, content: '', callback: '' } });

            }
        })


        window.cansubimt = function () {
            $("#fade").show();
            if (store.get('photoCount') == 0) {
                $(".pop").hide();
                $("#pop1").show();
            } else {
                $(".pop").hide();
                $("#pop2").show();
            }
        }

        window.nosubimt = function () {
            $("#fade").show();
            $(".pop").hide();
            $("#pop3").show();
        }

        //统一发送操作
        window.send = function () {
            $(".pop").hide();
            zyapp().com.ajax(store.get('h5_http') + '/WriteObservation_Send', { userinfo_data: store.get('userinfo_data') }, 'WriteObservation_Send');
        }

        $(window).on('WriteObservation_Send', function (event, d) {
            if (!!d && !!!d.code) {
                zyapp().com.ajax(store.get('h5_http') + '/Index_UserInfo', { userid: store.get('tea_userid') }, 'Index_UserInfo');
                zyapp().com.toast('发送成功！');
            } else {
                zyapp().com.toast('发送失败！');
            }
        })

        //发送后要重置一次userinfo_data
        $(window).on('Index_UserInfo', function (event, data) {
            if (!!data && !!!data.code) {
                
                store.set('userinfo_data', JSON.stringify(data.result));
                store.set('report_main_id', store.get('now_main_id'));
                location.replace("writedetail.html");
            }
        })
        //end统一发送操作



        //上传图片
        var imgcnt = 9;
        window.addImgs = function (callback) {
            $(".pop").hide(); $('#fade').hide();
            zyapp().com.uploadImgs(imgcnt, '', 'uploadedImgs');
        }

        $(window).on('uploadedImgs', function (event, imgs) {
            if (imgs.result.imgs.length > 0) {
                var dd = { img_path: imgs.result.imgs + "", userinfo_data: store.get('userinfo_data') };
                zyapp().com.ajax(store.get('h5_http') + '/Theme_photo_Add', dd, 'addImg');        
            }
        });

        $(window).on('addImg', function (event, d) {

            $('#imgdata').html(template('tp', { photoCount: d.result.length }));
            if (d.result.length > 0) {

                if (d.result.length == 1) {
                    $("#demo_img_li").hide();
                    $("#demo_img0").attr("src", d.result[d.result.length - 1].path);
                } else {
                    $("#demo_img_li").show();
                    $("#demo_img0").attr("src", d.result[0].path);
                    $("#demo_img").attr("src", d.result[d.result.length - 1].path);
                }
                store.set('photoCount', d.result.length);
                //保存图片到数据库
                $("#div_img").html(template('tp_img', d.result));
                
            }
            instance.update().check().handlers(true);

        })

        window.initImgs = function () {
            zyapp().com.ajax(store.get('h5_http') + '/Theme_photo_GetList', { userinfo_data: store.get('userinfo_data') }, 'initImgs');

        }

        $(window).on('initImgs', function (event, d) {


            store.set('photoCount', d.result.length);

            //把上传图片按钮隐藏
            if (store.get('sendstate') + "" == "1" && (d.result==null || d.result.length == 0)) {
                $(".up-photo").show();
                $(".up-photo").html("<dl><dd class=\"no-photo\">本主题您未上传主题图片！</dd></dl>");
            } else {
                $(".up-photo").show();
                $('#imgdata').html(template('tp', { photoCount: d.result.length }));
                if (d.result.length > 0) {
                    if (d.result.length == 1) {
                        $("#demo_img_li").hide();
                        $("#demo_img0").attr("src", d.result[d.result.length - 1].path);
                    } else {
                        $("#demo_img_li").show();
                        $("#demo_img0").attr("src", d.result[0].path);
                        $("#demo_img").attr("src", d.result[d.result.length - 1].path);
                    }
                    //保存图片到数据库
                    $("#div_img").html(template('tp_img', d.result));
                }

                //判断已发送
                if (store.get('sendstate') + "" == "1") {
                    $(".upload").hide();
                }
            }
            
            $('#maining').show();
            $('#loading').hide();
            $('#network').hide();

        })

       

        window.delimgleave = function () {

            location.href = "photo.html";
            //var imgs = [];
            //$("#div_img").find('img').each(function (i) {
            //    imgs[i] = this.src;
            //});
            //var index = imgs.length - 1;
            //var img = imgs[index];
            //if (store.get('sendstate') + "" == "1") {
            //    zyapp().com.showImgs(img, imgs, index);
            //} else {
            //    zyapp().com.delImgs(img, imgs, index, "delimgleave");
            //}
            //event.preventDefault();
        }

        $(window).on('delimgleave', function (event, data) {
            var temp = (data.result && data.result.deleted) || {};
            var imgs = "";
            for (var i in temp) {
                imgs = imgs + "," + temp[i];
            }
            if (imgs.length > 1) {
                imgs = imgs.substring(1);
            }
          
            zyapp().com.ajax(store.get('h5_http') + '/Theme_photo_Delete', { img_path: imgs, userinfo_data: store.get('userinfo_data') }, 'initdelimg');

        });
        $(window).on('initdelimg', function (event, d) {
            initImgs();
        })


        //切换主题
        $(window).on('changeTheme', function () {
            $('.footer').hide();
            $('.up-photo').hide();
            $('.children').hide();
            $('#themelist').show();
        })

        //主题切换
        window.onThemeChange = function (id, state,field) {
            if (state == -1) {
                zyapp().com.toast('未开放');
            } else if (store.get('now_main_id') == id ) {
                //zyapp().com.toast('当前主题');
                onThemeHide();
            }
            else {
                var jm = JSON.parse(store.get('userinfo_data'));
                jm.main_id = id;
                store.set('userinfo_data', JSON.stringify(jm) + "");
                store.set('now_field', field);
                location.replace("writemain.html");
            }
        }

        window.onThemeHide = function () {
            $('#themelist').hide();
            $('.up-photo').show();
            $('.children').show();
            $('.footer').show();
        }
})

