﻿require.config({
    //urlArgs: 'ver='+(new Date().getTime()),//测试用
    //urlArgs: 'ver=1',//生产环境
    paths: {
        //配置加载路径
        zepto: '../lib/zepto.min',
        zyapp: '../lib/zyapp',
        layzr: '../lib/layzr.min',//图片懒加载
        template: '../lib/artTemplate',
        FastClick: '../lib/fastclick.min',
        Swiper: '../lib/swiper.min',
        store: '../lib/store.min'
    },
    shim: {
        layzr: { exports: 'layzr' }
    },
    waitSeconds: 20
});

require(['zepto', 'zyapp', 'FastClick', 'Swiper', 'template', 'store'], function ($, zyapp, FastClick, Swiper, template, store) {


    $(function () {
        window.store = store;
        FastClick.attach(document.body);

        zyapp().com.rightBtn(1, '返回列表', 'back');
        $(window).on('back', function () {
            zyapp().com.closeAllWindow();
            location.href = "writemain.html";
        });

        $(window).on('onback', function (event, data) {
            zyapp().com.closeWindow();
        });

        if (GetQueryString("un") + "" == "1") {

            zyapp().com.ajax(store.get('h5_http') + '/WriteUnable', { userid: store.get('userid'), userinfo_data: store.get('userinfo_data') }, 'initdata_un', 'onfail');

        }
            zyapp().com.ajax(store.get('h5_http') + '/WriteObservation', { userinfo_data: store.get('userinfo_data'), userid: store.get('userid') }, 'initdata', 'onfail');
        

        $(window).on('initdata', function (event, data) {
            if (!!data && !!!data.code) {
                if (GetQueryString("un") + "" != "1") {
                    $('#write').show();
                    $('#loading').hide();
                }

                $('#name').html("<span class=\"head\"><img src=\"" + data.result.headpic + "\" /></span><span class=\"color\">" + store.get('name') + "</span>小朋友评语<a href=\"javascript:onunable()\" class=\"unable\">无法观察</a>");
                $('#content').html(data.result.ToParentContent);
                store.set('it', data.result.it); 

                $('#data1').html(template('tp1', data.result.ThemeDictList));
                $('#data2').html(template('tp2', data.result.ThemeDictList));

                //数据库只读取一次
                if (store.get('tag') == 2) {
                    store.remove('tag');
                    zyapp().com.ajax(store.get('h5_http') + '/WriteObservation_Completed',
                       {
                           userid: store.get('userid'),
                           userinfo_data: store.get('userinfo_data')
                       }, 'inituser');
                    $(window).trigger('inituser');
                }

                var previewArray = store.get('previewArray');
                if (previewArray.length > 0) {
                    var textarea = $('.textarea_val');
                    $('#content').html(previewArray[0]);
                    for (var i = 0; i < textarea.length; i++) {

                        textarea[i].value = previewArray[i + 1];
                    }
                }

                var hfArray = store.get('hfArray');
                var idarray = store.get('idarray');
                if (hfArray.length > 0) {
                    var hf = $('.hf');
                    for (var i = 0; i < hf.length; i++) {
                        hf[i].innerHTML = hfArray[i];
                        var ID = idarray[i];
                        var score = hfArray[i];
                        document.getElementById('l1_' + ID).setAttribute("class", "border");
                        document.getElementById('l2_' + ID).setAttribute("class", "border");
                        document.getElementById('l3_' + ID).setAttribute("class", "border");
                        document.getElementById('l' + score + '_' + ID).setAttribute("class", "border on");
                        document.getElementById('a1_' + ID).setAttribute("class", "");
                        document.getElementById('a2_' + ID).setAttribute("class", "");
                        document.getElementById('a3_' + ID).setAttribute("class", "");
                        document.getElementById('a' + score + '_' + ID).setAttribute("class", "on");
                        $('#textdiv_' + ID).show();
                    }
                }

              
               
                instance.update().check().handlers(true);
            }

            var instance = layzr({
                normal: 'data-src',
                threshold: 0,
                callback: function () {
                    console.log(this);
                }
            });
        });


    })


    //无法填写--------------------------------------------------------------------

    function GetQueryString(name) {
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
        var r = window.location.search.substr(1).match(reg);
        if (r != null) return unescape(r[2]); return null;
    }
    window.onunable = function () {

            zyapp().com.ajax(store.get('h5_http') + '/WriteUnable', { userid: store.get('userid'), userinfo_data: store.get('userinfo_data') }, 'initdata_un', 'onfail');

            //location.replace("writeunable.html");
            //zyapp().com.newWindow('writeunable.html', { left: { type: 2, content: '', callback: 'onback' }, right: { type: 0, content: '', callback: '' } });
    }
    $(window).on('initdata_un', function (event, data) {
        if (!!data && !!!data.code) {
           
            $('#loading').hide();
            $('#write').hide();
            $('#maining').show();

            //已发送了
            if (store.get('sendstate') + "" == "1") {
                $('#footer_un').html("<div class='one-btn border'><a href='writemain.html' class='border on' style='width:11.4rem;'>返回列表</a></div>");
            } else {
                $('.one-btn').show();
            }

            $('#content_un').html(template('tp', data.result));
            //数据库只读取一次
            if (store.get('tag') == 1) {
                store.remove('tag');
                zyapp().com.ajax(store.get('h5_http') + '/WriteObservation_Completed',
                   {
                       userid: store.get('userid'),
                       userinfo_data: store.get('userinfo_data')
                   }, 'inituser_un');
                $(window).trigger('inituser_un');
            }

            instance.update().check().handlers(true);
        }
    })

        $(window).on('inituser_un', function (event, data) {

            if (!!data && !!!data.code) {
                $('#textarea_un').html(data.result.ToParentContent);
                instance.update().check().handlers(true);

            }
        })

        window.onsave_un = function () {
       
            var textarea = $('#textarea_un');
            var teacher_word = textarea[0].innerHTML;
          
            var dd = { userid: store.get('userid') + "", teacher_word: teacher_word + "", userinfo_data: store.get('userinfo_data') };


            zyapp().com.ajax(store.get('h5_http') + '/WriteObservation_Save_NoDict', dd, 'savesuccess_un', 'saveerror_un');
        }

        $(window).on('savesuccess_un', function (event, d) {
            if (parseInt(d.result.nextcode) > 0) {
                zyapp().com.toast('保存成功！');
                store.set('userid', d.result.nextuserid);
                store.set('name', d.result.nextname);
                store.set('tag', 0);//0未填写，1无法观察，2已填写
                location.replace("writeobservation.html");
            } else {
                //填写完成
                zyapp().com.toast('全班已全部填写完成！');
                location.replace ("writemain.html");
            }
        })
        $(window).on('saveerror_un', function (event, data) {
            if (!!data && !!!data.code) {
                zyapp().com.toast('保存失败!');
            }
        })

        window.edit_un = function () {
            store.set('userid', store.get('userid'));
            store.set('name', store.get('name'));
            store.set('tag', 0);//0未填写，1无法观察，2已填写
            $('#maining').hide();
            $('#write').show();

        }
        //无法填写--------------------------------------------------------------------



        $(window).on('onfail', function () {
            //弹出重新加载按钮
            zyapp().com.toast('网络不好，请重试！');
            $('#network').show();
            $('#loading').hide();
        })

        //初始化已填写用户
        $(window).on('inituser', function (event, data) {

            if (!!data && !!!data.code) {
                var previewArray = new Array();
                previewArray[0] = data.result.ToParentContent;

                var hfArray = new Array();
                var idarray = new Array();
               
                var tdl = data.result.ThemeDictList;
                for (var i = 0; i < tdl.length; i++) {
                    idarray[i] = tdl[i].ID;
                    hfArray[i] = tdl[i].score;
                    previewArray[i+1] = tdl[i].advice;
                    $('#textdiv_' + tdl[i].ID).show();
                }

                store.set('previewArray', previewArray);
                store.set('hfArray', hfArray);
                store.set('idarray', idarray);

                //初始化内容
                if (previewArray.length > 0) {
                    var textarea = $('.textarea_val');
                    $('#content').html(previewArray[0]);
                    for (var i = 0; i < textarea.length; i++) {

                        textarea[i].value = previewArray[i + 1];
                    }
                }
                if (hfArray.length > 0) {
                    var hf = $('.hf');
                    for (var i = 0; i < hf.length; i++) {
                        hf[i].innerHTML = hfArray[i];
                        var ID = idarray[i];
                        var score = hfArray[i];
                        document.getElementById('l1_' + ID).setAttribute("class", "border");
                        document.getElementById('l2_' + ID).setAttribute("class", "border");
                        document.getElementById('l3_' + ID).setAttribute("class", "border");
                        document.getElementById('l' + score + '_' + ID).setAttribute("class", "border on");
                        document.getElementById('a1_' + ID).setAttribute("class", "");
                        document.getElementById('a2_' + ID).setAttribute("class", "");
                        document.getElementById('a3_' + ID).setAttribute("class", "");
                        document.getElementById('a' + score + '_' + ID).setAttribute("class", "on");
                        
                    }
                }
                instance.update().check().handlers(true);

            }
        })

        window.onWriteObservationIntroduce = function (ID, score) {
           
            //设置选中效果
            document.getElementById('l1_' + ID).setAttribute("class", "border");
            document.getElementById('l2_' + ID).setAttribute("class", "border");
            document.getElementById('l3_' + ID).setAttribute("class", "border");
            document.getElementById('l' + score + '_' + ID).setAttribute("class", "border on");
            document.getElementById('a1_' + ID).setAttribute("class", "");
            document.getElementById('a2_' + ID).setAttribute("class", "");
            document.getElementById('a3_' + ID).setAttribute("class", "");
            document.getElementById('a' + score + '_' + ID).setAttribute("class", "on");
            $('#hf_' + ID).html(score);
            

            zyapp().com.ajax(store.get('h5_http') + '/WriteObservationIntroduce',
                {
                    it: store.get('it'),
                    name: store.get('name'),
                    dictid: ID,
                    score: score,
                    userinfo_data: store.get('userinfo_data')
                }, 'introducesuccess');
            $(window).trigger('introducesuccess');
        }

        $(window).on('introducesuccess', function (event, data) {
            if (!!data && !!!data.code) {
                $('#textdiv_' + data.result.dictid).show();
                $('#textarea_' + data.result.dictid).html(data.result.advice);
                //$('#hf_' + data.result.dictid).html(data.result.score);
                var o = document.getElementById('textarea_' + data.result.dictid);
                o.style.height = o.scrollTop + o.scrollHeight + "px";
            
            }
        })

        //切换主题
        window.changeTheme = function () {
            zyapp().com.toast('切换主题！');
        }

        window.onpreview = function () {
            var flag = true;
            var previewArray = new Array();
            var textarea = $('.textarea_val');
            previewArray[0] = $('#content').html();

            for (var i = 0; i < textarea.length; i++) {
                previewArray[i + 1] = textarea[i].value;
            }
            store.set('previewArray', previewArray);

            var hfArray = new Array();
            var idarray = new Array();
            var hf = $('.hf');
            var dictids = $('.dictids');
            for (var i = 0; i < hf.length; i++) {
                hfArray[i] = hf[i].innerHTML;
                idarray[i] = dictids[i].innerHTML;

                if (hf[i].innerHTML == "0") {
                    flag = false;
                }
            }
            store.set('hfArray', hfArray);
            store.set('idarray', idarray);
            if (flag) {
                location.href = "writepreview.html";
            } else {
                zyapp().com.toast('请完成选择项');
            }
        }
        
        window.onsave = function () {

            var flag = true;
            var textarea = $('.textarea_val');
            var teacher_word = $('#content').html();
            var dictlist = new Array();

            var hf = $('.hf');//分数
            var dictids = $('.dictids');//ID不需要处理
           
            for (var i = 0; i < hf.length; i++) {
                if (hf[i].innerHTML == "0") {
                    flag = false;
                }
                dictlist[i] = { dictid: parseInt(dictids[i].innerHTML), advice: textarea[i].value, score: parseInt(hf[i].innerHTML) };
            }
          
            if (flag) {
                var dd = { userid: store.get('userid') + "", teacher_word: teacher_word + "", dictIntroduce: JSON.stringify(dictlist) + "", userinfo_data: store.get('userinfo_data') };
        
               zyapp().com.ajax(store.get('h5_http') + '/WriteObservation_Save_Dict',
               dd, 'savesuccess', 'saveerror');
              
             
            } else {
                zyapp().com.toast('请完成选择项');
            }
        }

        //保存成功
        $(window).on('savesuccess', function (event, d) {
            if (!!d && !!!d.code) {
                if (parseInt(d.result.nextcode) > 0) {
                    zyapp().com.toast('保存成功！');
                    store.remove('hfArray');
                    store.remove('idarray');
                    store.remove('previewArray');

                    store.set('userid', d.result.nextuserid);
                    store.set('name', d.result.nextname);
                    store.set('tag', 0);//0未填写，1无法观察，2已填写
                    //location.href = "writemain.html?flush=1";
                    location.replace ("writeobservation.html");
                    //zyapp().com.closeAllWindow();
                    //zyapp().com.newWindow('writeobservation.html', { left: { type: 2, content: '', callback: 'onback' }, right: { type: 0, content: '', callback: '' } });
                  
                } else {
                    //填写完成
                    zyapp().com.toast('全班已全部填写完成！');
                    //zyapp().com.closeAllWindow();
                    location.replace ("writemain.html");
                }
            }
        })

        $(window).on('saveerror', function (event, data) {
            if (!!data && !!!data.code) {
                zyapp().com.toast('保存失败!');
            }
        })



        //点击编写内容
        window.ontextfocus = function (id, valtype) {

            var temp_text = "";
            if (valtype == 0) {
                temp_text = $("#" + id).val();
            } else {
                temp_text = $("#" + id).html();
            }
            $("#textarea_temp").html(temp_text);

            store.set('temp_id', id);
            store.set('temp_valtype', valtype);
            $("#write").hide();
            $("#edit").show();
            $("#textarea_temp").trigger("focus");
        }
        window.ontempsave = function () {
            //编辑内容返回后，要赋值
            if (store.get('temp_valtype') == 0) {
                $("#" + store.get('temp_id')).val($("#textarea_temp").html());
            } else {
                $("#" + store.get('temp_id')).html($("#textarea_temp").html());
            }
            $("#write").show();
            $("#edit").hide();
        }

        window.ontempback = function () {
            $("#write").show();
            $("#edit").hide();
        }

})

