﻿require.config({
    //urlArgs: 'ver='+(new Date().getTime()),//测试用
    //urlArgs: 'ver=1',//生产环境
    paths: {
        //配置加载路径
        zepto: '../lib/zepto.min',
        zyapp: '../lib/zyapp',
        layzr: '../lib/layzr.min',//图片懒加载
        template: '../lib/artTemplate',
        FastClick: '../lib/fastclick.min',
        Swiper: '../lib/swiper.min',
        store: '../lib/store.min'
    },
    shim: {
        layzr: { exports: 'layzr' }
    },
    waitSeconds: 20
});

require(['zepto', 'zyapp', 'FastClick', 'Swiper', 'template', 'store'], function ($, zyapp, FastClick, Swiper, template, store) {


    $(function () {
        window.store = store;
        FastClick.attach(document.body);
       
        zyapp().com.rightBtn(0, '', '');
        

    
        $(window).on('onback', function (event, data) {
            location.href = "writeitem.html";
        });


        $(window).on('left', function () {
            location.replace("writemain.html");
        });

        //已发送了
        if (store.get('sendstate') + "" == "1") {

            zyapp().com.setNav({ type: 2, content: "", callback: "left" }, store.get('now_field') + "", { type: 0, content: "", callback: "" });

            $('.footer').html("<div class='one-btn border'><a href='writemain.html' class='border on' style='width: 11.4rem;'>返回列表</a></div>");
        } else {

            zyapp().com.setNav({ type: 2, content: "", callback: "onback" }, store.get('now_field') + "", { type: 0, content: "", callback: "" });

            $('.footer').html("<div class='one-btn border'><a href=\"javascript:onsave()\" class=\"border on\" style=\"width: 11.4rem;\">保存填写下一个</a></div>");
        }

        zyapp().com.ajax(store.get('h5_http') + '/Preview', { userinfo_data: store.get('userinfo_data') }, 'initdata', 'onfail');
        $(window).on('initdata', function (event, data) {
            if (!!data && !!!data.code) {

           

                var previewArray = store.get('previewArray');
                var textarea = $('.textarea');

                $('#content_preview').html(previewArray[0]);

               

                data.result.ThemeDictList.forEach(function (item,i) {
                    item.advice = previewArray[i + 1];
                })

                
                $('#data2').html(template('tp2', data.result.ThemeDictList));

               
                //for (var i = 0; i < textarea.length; i++) {

                //    textarea[i].innerHTML = previewArray[i + 1];
                //}

             

                //打分
                var hfArray = store.get('hfArray');
                var idarray = store.get('idarray');
                if (hfArray.length > 0) {
                    for (var i = 0; i < idarray.length; i++) {
                        var ID = idarray[i];
                        var score = hfArray[i];
                        if (score == "3") {
                            $('#stars_' + ID).html("<i></i>");
                        } else if (score == "2") {
                            $('#stars_' + ID).html("<i></i><i></i>");
                        } else if (score == "1") {
                            $('#stars_' + ID).html("<i></i><i></i><i></i>");
                        }

                    }
                }
                $('#maining').show();
                $('#loading').hide();
                instance.update().check().handlers(true);
            }

            var instance = layzr({
                normal: 'data-src',
                threshold: 0,
                callback: function () {
                    console.log(this);
                }
            });




        });

        $(window).on('onfail', function () {
            //弹出重新加载按钮
            zyapp().com.toast('网络不好，请重试！');
            $('#network').show();
            $('#loading').hide();
        })
        window.onsave = function () {
            var flag = true;           
            var dictlist = new Array();
            var previewArray = new Array();
            var hfArray = new Array();
            var idarray = new Array();

            hfArray = store.get('hfArray');
            idarray = store.get('idarray');
            previewArray = store.get('previewArray');

            var teacher_word = previewArray[0];

            for (var i = 0; i < hfArray.length; i++) {
                if (hfArray[i] == "0") {
                    flag = false;
                }
                dictlist[i] = { dictid: parseInt(idarray[i]), advice: previewArray[i + 1], score: parseInt(hfArray[i]) };
            }
            if (flag) {

                var dd = { userid: store.get('userid') + "", teacher_word: teacher_word + "", dictIntroduce: JSON.stringify(dictlist) + "", userinfo_data: store.get('userinfo_data') };

                zyapp().com.ajax(store.get('h5_http') + '/WriteObservation_Save_Dict',
              dd, 'savesuccess', 'saveerror');
                $(window).trigger('savesuccess');



                //$.ajax({
                //    type: 'post',
                //    url: store.get('h5_http') + '/WriteObservation_Save_Dict',
                //    data: dd,
                //    dataType: 'json',
                //    success: function (d) {
                //        if (parseInt(d.result.nextcode) > 0) {
                //            zyapp().com.toast('保存成功！');
                //            store.remove('hfArray');
                //            store.remove('idarray');
                //            store.remove('previewArray');

                //            store.set('userid', d.result.nextuserid);
                //            store.set('name', d.result.nextname);
                //            store.set('tag', 0);//0未填写，1无法观察，2已填写
                //            location.href = "writeobservation.html";
                //        } else {
                //            //填写完成
                //            zyapp().com.toast('全班已全部填写完成！');
                //            location.href = "writemain.html";
                //        }

                //    },
                //    error: function (d) {
                //        zyapp().com.toast('保存失败!');
                //    }
                //});

            } else {
                zyapp().com.toast('点击返回，继续完成填写');
            }
        }

        $(window).on('savesuccess', function (event, d) {
            if (!!d && !!!d.code) {
                if (parseInt(d.result.nextcode) > 0) {
                    zyapp().com.toast('保存成功！');
                    store.remove('hfArray');
                    store.remove('idarray');
                    store.remove('previewArray');

                    store.set('userid', d.result.nextuserid);
                    store.set('name', d.result.nextname);
                    store.set('tag', 0);//0未填写，1无法观察，2已填写
                    location.href = "writeobservation.html";
                } else {
                    //填写完成
                    zyapp().com.toast('全班已全部填写完成！');
                    location.href = "writemain.html";
                }
            }
        })

        $(window).on('saveerror', function (event, data) {
            if (!!data && !!!data.code) {
                zyapp().com.toast('保存失败!');
            }
        })

     

    })
})

